Loading...
Searching...
No Matches
pcl::common::IntensityFieldAccessor< pcl::PointWithScale > Struct Reference

`#include <pcl/common/impl/intensity.hpp>`

## Public Member Functions

float | operator() (const pcl::PointWithScale &p) const
void | get (const pcl::PointWithScale &p, float &intensity) const
void | set (pcl::PointWithScale &p, float intensity) const
void | demean (pcl::PointWithScale &p, float value) const
void | add (pcl::PointWithScale &p, float value) const

## Detailed Description

Definition at line 487 of file intensity.hpp.

## Member Function Documentation

## add()

void pcl::common::IntensityFieldAccessor< pcl::PointWithScale >::add | ( | pcl::PointWithScale & | p,
|  | float | value
| ) |  | const

inline

Definition at line 514 of file intensity.hpp.

References pcl::_PointWithScale::scale.

## demean()

void pcl::common::IntensityFieldAccessor< pcl::PointWithScale >::demean | ( | pcl::PointWithScale & | p,
|  | float | value
| ) |  | const

inline

Definition at line 508 of file intensity.hpp.

References pcl::_PointWithScale::scale.

## get()

void pcl::common::IntensityFieldAccessor< pcl::PointWithScale >::get | ( | const pcl::PointWithScale & | p,
|  | float & | intensity
| ) |  | const

inline

Definition at line 496 of file intensity.hpp.

References pcl::_PointWithScale::scale.

## operator()()

float pcl::common::IntensityFieldAccessor< pcl::PointWithScale >::operator() | ( | const pcl::PointWithScale & | p | ) | const

inline

Definition at line 490 of file intensity.hpp.

References pcl::_PointWithScale::scale.

## set()

void pcl::common::IntensityFieldAccessor< pcl::PointWithScale >::set | ( | pcl::PointWithScale & | p,
|  | float | intensity
| ) |  | const

inline

Definition at line 502 of file intensity.hpp.

References pcl::_PointWithScale::scale.

The documentation for this struct was generated from the following file:

- pcl/common/impl/intensity.hpp